# melspectrum-video

Make a video showing a horizontally rolling mel spectrogram of the audio input.

## About

Copyright for media included in media/
[Alouette.ogg](https://en.wikipedia.org/wiki/File:Alouette.mid) is available under Creative Commons CC0 1.0
[Zonotrichia.ogg](https://en.wikipedia.org/wiki/File:Voice_of_Zonotrichia_albicollis.ogg) is available under Creative Commons Attribution 3.0 Unported license.

## How to run

Python 3.11, `pip install -r requirements.txt`

To produce the example video:

`python -m movie Alouette.ogg Alouette.mp4 --offset 18 --duration 23 --height 800 --window 3 --fps 24 --fmax 4000`

`python -m movie Zonotrichia.ogg Zonotrichia.mp4 --window 1 --pps 600`